summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2015-12-04 19:55:57 +0100
committer Willy Sudiarto Raharjo2015-12-04 19:55:57 +0100
commitd097359353cffaf68b52db340eff2ad9a159edc5 (patch)
treedc75a8d7e627346bb87124413cd5bc7026acadc9 /games
parent0fe05da587281f2ff89f15de11814c62e15bc8a4 (diff)
downloadslackbuilds-d097359353cffaf68b52db340eff2ad9a159edc5.tar.gz
games/Tempus-Irae: Added (game data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/Tempus-Irae/README19
-rw-r--r--games/Tempus-Irae/Tempus-Irae.SlackBuild95
-rw-r--r--games/Tempus-Irae/Tempus-Irae.info10
-rw-r--r--games/Tempus-Irae/doinst.sh3
-rw-r--r--games/Tempus-Irae/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/games/Tempus-Irae/README b/games/Tempus-Irae/README
new file mode 100644
index 0000000000..ee09b416cb
--- /dev/null
+++ b/games/Tempus-Irae/README
@@ -0,0 +1,19 @@
+Tempus-Irae (game data for use with alephone package)
+
+Tempus Irae, a new scenario in the Marathon universe built upon
+the Marathon Infinity engine. In Tempus Irae the player travels
+back in time... to Renaissance Italy.
+
+Tempus Irae combines over twenty-two thousand polygons of solo
+maps with literally hundreds of new textures. New sounds, scenery
+items, and shapes are combined with gorgeous terminal pictures and
+chapter screens, as well as a first-rate script.
+
+The Aleph One version of Tempus Irae includes both Tempus Irae and
+Tempus Irae 2: The Lost Levelsi.
+
+Included in the package is a shell script wrapper. Type "tempus-irae"
+or select Tempus Irae from the KDE or XFCE "Games" menu.
+
+To install the gamedata in /opt instead of /usr to save space in the
+root partition use use OPT=yes ./Tempus-Irae.SlackBuild
diff --git a/games/Tempus-Irae/Tempus-Irae.SlackBuild b/games/Tempus-Irae/Tempus-Irae.SlackBuild
new file mode 100644
index 0000000000..50925fd801
--- /dev/null
+++ b/games/Tempus-Irae/Tempus-Irae.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for Tempus Irae
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Tempus-Irae
+VERSION=${VERSION:-20060615} # Last modified date from the zipfile's http header
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+# install gamedata in opt instead of usr
+OPT=${OPT:-no}
+if [ "${OPT:-yes}" == "yes" ]; then
+ DATA="/opt/AlephOne"
+else
+ DATA="/usr/share/AlephOne/gamedata"
+fi
+
+ZIPNAME=$(echo $PRGNAM | tr - _)
+ZIPFILE=$ZIPNAME.zip
+WRAPPER=$(echo $PRGNAM | tr '[A-Z]' '[a-z]')
+DATADIR=$PKG$DATA
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $DATADIR
+unzip $CWD/$ZIPFILE -d $DATADIR
+
+chown -R root:root $DATADIR
+
+# NB: the usual find predicate is different (zipfile stores +x permissions
+# on some files for no good reason)
+find $DATADIR \
+ \( -type f -exec chmod 644 {} \; \) -o \
+ \( -type d -exec chmod 755 {} \; \)
+
+# Write launcher script to the user's path
+mkdir -p $PKG/usr/games
+cat > $PKG/usr/games/$WRAPPER <<EOF
+#!/bin/sh
+ALEPHONE_DATA="$DATA/$ZIPNAME"
+export ALEPHONE_DATA
+exec alephone "\$@"
+EOF
+find $PKG/usr/games -perm 644 -exec chmod 755 {} \;
+
+# Write a desktop file
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$WRAPPER.desktop <<EOF
+[Desktop Entry]
+Name=$(echo $PRGNAM | tr - " ")
+Exec=$WRAPPER
+Icon=alephone
+Type=Application
+Comment=$(echo $PRGNAM | tr - " ") (first-person shooter game)
+Categories=Game;ActionGame;
+EOF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/Tempus-Irae/Tempus-Irae.info b/games/Tempus-Irae/Tempus-Irae.info
new file mode 100644
index 0000000000..e90b2be18c
--- /dev/null
+++ b/games/Tempus-Irae/Tempus-Irae.info
@@ -0,0 +1,10 @@
+PRGNAM="Tempus-Irae"
+VERSION="20060615"
+HOMEPAGE="http://nardo.bungie.org/home.php"
+DOWNLOAD="http://nardofiles.bungie.org/Tempus_Irae.zip"
+MD5SUM="4a707967e062c12236a71f3cfd29602b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="alephone"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/Tempus-Irae/doinst.sh b/games/Tempus-Irae/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/Tempus-Irae/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/Tempus-Irae/slack-desc b/games/Tempus-Irae/slack-desc
new file mode 100644
index 0000000000..e02302de59
--- /dev/null
+++ b/games/Tempus-Irae/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Tempus-Irae: Tempus-Irae (game data for use with alephone package)
+Tempus-Irae:
+Tempus-Irae: In Tempus Irae the player travels back in time... to Renaissance
+Tempus-Irae: Italy.
+Tempus-Irae:
+Tempus-Irae: Tempus Irae for Aleph One features hi-res textures and stunning
+Tempus-Irae: level architecture.
+Tempus-Irae:
+Tempus-Irae: Homepage: http://nardo.bungie.org/home.php
+Tempus-Irae:
+Tempus-Irae: